Library Version 18.1.40

DbEnv::get_metadata_dir()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_metadata_dir()

    #include <db_cxx.h>

    int
    DbEnv::get_metadata_dir(const char **dirp);

The `DbEnv::get_metadata_dir()` method returns the directory where persistent metadata is stored. This location can be set using the DbEnv::set_metadata_dir() method.

The `DbEnv::get_metadata_dir()` directory may be called at any time during the life of the application.

The `DbEnv::get_metadata_dir()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirp

The dirp parameter references memory into which is copied the directory which contains persistent metadata files.

### Class

DbEnv

### See Also

Database Environments and Related Methods, DbEnv::set_metadata_dir()

Prev | Up | Next
DbEnv::get_memory_max() | Home | DbEnv::get_msgfile()